io.vertx.mssqlclient

## Class MSSQLConnectOptions

- java.lang.Object
- - io.vertx.core.net.NetworkOptions
  - - io.vertx.core.net.TCPSSLOptions
    - - io.vertx.core.net.ClientOptionsBase
      - - io.vertx.core.net.NetClientOptions
        - - io.vertx.sqlclient.SqlConnectOptions
          - - io.vertx.mssqlclient.MSSQLConnectOptions

-     public class MSSQLConnectOptions
      extends SqlConnectOptions

  Connect options for configuring `MSSQLConnection`.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_APP_NAME`
    `static String` | `DEFAULT_CLIENT_INTERFACE_NAME`
    `static String` | `DEFAULT_DATABASE`
    `static String` | `DEFAULT_HOST`
    `static int` | `DEFAULT_PACKET_SIZE`
    `static String` | `DEFAULT_PASSWORD`
    `static int` | `DEFAULT_PORT`
    `static Map<String,String>` | `DEFAULT_PROPERTIES`
    `static String` | `DEFAULT_USER`
    `static int` | `MAX_PACKET_SIZE`
    `static int` | `MIN_PACKET_SIZE`

    - ### Fields inherited from class io.vertx.sqlclient.SqlConnectOptions

      `DEFAULT_CACHE_PREPARED_STATEMENTS, DEFAULT_PREPARED_STATEMENT_CACHE_FILTER, DEFAULT_PREPARED_STATEMENT_CACHE_MAX_SIZE, DEFAULT_PREPARED_STATEMENT_CACHE_SQL_LIMIT`

    - ### Fields inherited from class io.vertx.core.net.NetClientOptions

      `DEFAULT_HOSTNAME_VERIFICATION_ALGORITHM, DEFAULT_RECONNECT_ATTEMPTS, DEFAULT_RECONNECT_INTERVAL, DEFAULT_REGISTER_WRITE_HANDLER`

    - ### Fields inherited from class io.vertx.core.net.ClientOptionsBase

      `DEFAULT_CONNECT_TIMEOUT, DEFAULT_METRICS_NAME, DEFAULT_TRUST_ALL`

    - ### Fields inherited from class io.vertx.core.net.TCPSSLOptions

      `DEFAULT_ENABLED_SECURE_TRANSPORT_PROTOCOLS, DEFAULT_IDLE_TIMEOUT, DEFAULT_IDLE_TIMEOUT_TIME_UNIT, DEFAULT_READ_IDLE_TIMEOUT, DEFAULT_SO_LINGER, DEFAULT_SSL, DEFAULT_SSL_ENGINE, DEFAULT_SSL_HANDSHAKE_TIMEOUT, DEFAULT_SSL_HANDSHAKE_TIMEOUT_TIME_UNIT, DEFAULT_TCP_CORK, DEFAULT_TCP_FAST_OPEN, DEFAULT_TCP_KEEP_ALIVE, DEFAULT_TCP_NO_DELAY, DEFAULT_TCP_QUICKACK, DEFAULT_TCP_USER_TIMEOUT, DEFAULT_USE_ALPN, DEFAULT_WRITE_IDLE_TIMEOUT`

    - ### Fields inherited from class io.vertx.core.net.NetworkOptions

      `DEFAULT_LOG_ACTIVITY_FORMAT, DEFAULT_LOG_ENABLED, DEFAULT_RECEIVE_BUFFER_SIZE, DEFAULT_REUSE_ADDRESS, DEFAULT_REUSE_PORT, DEFAULT_SEND_BUFFER_SIZE, DEFAULT_TRAFFIC_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MSSQLConnectOptions()`
    `MSSQLConnectOptions(JsonObject json)`
    `MSSQLConnectOptions(MSSQLConnectOptions other)`
    `MSSQLConnectOptions(SqlConnectOptions other)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MSSQLConnectOptions` | `addCrlPath(String crlPath)` Add a CRL path
    `MSSQLConnectOptions` | `addCrlValue(Buffer crlValue)` Add a CRL value
    `MSSQLConnectOptions` | `addEnabledCipherSuite(String suite)` Add an enabled cipher suite, appended to the ordered suites.
    `MSSQLConnectOptions` | `addEnabledSecureTransportProtocol(String protocol)` Add an enabled SSL/TLS protocols, appended to the ordered protocols.
    `MSSQLConnectOptions` | `addProperty(String key, String value)` Add a property for this client, which will be sent to server at the connection start.
    `static MSSQLConnectOptions` | `fromUri(String connectionUri)` Provide a `MSSQLConnectOptions` configured from a connection URI.
    `int` | `getPacketSize()` Get the desired size (in bytes) for TDS packets.
    `protected void` | `init()` Initialize with the default options.
    `MSSQLConnectOptions` | `merge(JsonObject other)` Returns new options created after this object and merged with the `other` json config.
    `MSSQLConnectOptions` | `removeEnabledSecureTransportProtocol(String protocol)` Removes an enabled SSL/TLS protocol from the ordered protocols.
    `MSSQLConnectOptions` | `setConnectTimeout(int connectTimeout)` Set the connect timeout
    `MSSQLConnectOptions` | `setDatabase(String database)` Specify the default database for the connection.
    `MSSQLConnectOptions` | `setEnabledSecureTransportProtocols(Set<String> enabledSecureTransportProtocols)` Sets the list of enabled SSL/TLS protocols.
    `MSSQLConnectOptions` | `setHost(String host)` Specify the host for connecting to the server.
    `MSSQLConnectOptions` | `setHostnameVerificationAlgorithm(String hostnameVerificationAlgorithm)` Set the hostname verification algorithm interval To disable hostname verification, set hostnameVerificationAlgorithm to an empty String
    `MSSQLConnectOptions` | `setIdleTimeout(int idleTimeout)` Set the idle timeout, default time unit is seconds.
    `MSSQLConnectOptions` | `setIdleTimeoutUnit(TimeUnit idleTimeoutUnit)` Set the idle timeout unit.
    `MSSQLConnectOptions` | `setJdkSslEngineOptions(JdkSSLEngineOptions sslEngineOptions)`
    `MSSQLConnectOptions` | `setKeyCertOptions(KeyCertOptions options)` Set the key/cert options.
    `MSSQLConnectOptions` | `setKeyStoreOptions(JksOptions options)` Set the key/cert options in jks format, aka Java keystore.
    `MSSQLConnectOptions` | `setLocalAddress(String localAddress)` Set the local interface to bind for network connections.
    `MSSQLConnectOptions` | `setLogActivity(boolean logEnabled)` Set to true to enabled network activity logging: Netty's pipeline is configured for logging on Netty's logger.
    `MSSQLConnectOptions` | `setMetricsName(String metricsName)` Set the metrics name identifying the reported metrics, useful for grouping metrics with the same name.
    `MSSQLConnectOptions` | `setNonProxyHosts(List<String> nonProxyHosts)` Set a list of remote hosts that are not proxied when the client is configured to use a proxy.
    `MSSQLConnectOptions` | `setOpenSslEngineOptions(OpenSSLEngineOptions sslEngineOptions)`
    `MSSQLConnectOptions` | `setPacketSize(int packetSize)` Set the desired size (in bytes) for TDS packets.
    `MSSQLConnectOptions` | `setPassword(String password)` Specify the user password to be used for the authentication.
    `MSSQLConnectOptions` | `setPemKeyCertOptions(PemKeyCertOptions options)` Set the key/cert store options in pem format.
    `MSSQLConnectOptions` | `setPemTrustOptions(PemTrustOptions options)` Set the trust options in pem format
    `MSSQLConnectOptions` | `setPfxKeyCertOptions(PfxOptions options)` Set the key/cert options in pfx format.
    `MSSQLConnectOptions` | `setPfxTrustOptions(PfxOptions options)` Set the trust options in pfx format
    `MSSQLConnectOptions` | `setPort(int port)` Specify the port for connecting to the server.
    `MSSQLConnectOptions` | `setProperties(Map<String,String> properties)` Set properties for this client, which will be sent to server at the connection start.
    `MSSQLConnectOptions` | `setProxyOptions(ProxyOptions proxyOptions)` Set proxy options for connections via CONNECT proxy (e.g.
    `MSSQLConnectOptions` | `setReceiveBufferSize(int receiveBufferSize)` Set the TCP receive buffer size
    `MSSQLConnectOptions` | `setReconnectAttempts(int attempts)` Set the value of reconnect attempts
    `MSSQLConnectOptions` | `setReconnectInterval(long interval)` Set the reconnect interval
    `MSSQLConnectOptions` | `setReuseAddress(boolean reuseAddress)` Set the value of reuse address
    `MSSQLConnectOptions` | `setReusePort(boolean reusePort)` Set the value of reuse port.
    `MSSQLConnectOptions` | `setSendBufferSize(int sendBufferSize)` Set the TCP send buffer size
    `MSSQLConnectOptions` | `setSoLinger(int soLinger)` Set whether SO_linger keep alive is enabled
    `MSSQLConnectOptions` | `setSsl(boolean ssl)` Set whether SSL/TLS is enabled
    `MSSQLConnectOptions` | `setSslEngineOptions(SSLEngineOptions sslEngineOptions)` Set to use SSL engine implementation to use.
    `MSSQLConnectOptions` | `setSslHandshakeTimeout(long sslHandshakeTimeout)` Set the SSL handshake timeout, default time unit is seconds.
    `MSSQLConnectOptions` | `setSslHandshakeTimeoutUnit(TimeUnit sslHandshakeTimeoutUnit)` Set the SSL handshake timeout unit.
    `MSSQLConnectOptions` | `setTcpCork(boolean tcpCork)` Enable the `TCP_CORK` option - only with linux native transport.
    `MSSQLConnectOptions` | `setTcpFastOpen(boolean tcpFastOpen)` Enable the `TCP_FASTOPEN` option - only with linux native transport.
    `MSSQLConnectOptions` | `setTcpKeepAlive(boolean tcpKeepAlive)` Set whether TCP keep alive is enabled
    `MSSQLConnectOptions` | `setTcpNoDelay(boolean tcpNoDelay)` Set whether TCP no delay is enabled
    `MSSQLConnectOptions` | `setTcpQuickAck(boolean tcpQuickAck)` Enable the `TCP_QUICKACK` option - only with linux native transport.
    `MSSQLConnectOptions` | `setTracingPolicy(TracingPolicy tracingPolicy)` Set the tracing policy for the client behavior when Vert.x has tracing enabled.
    `MSSQLConnectOptions` | `setTrafficClass(int trafficClass)` Set the value of traffic class
    `MSSQLConnectOptions` | `setTrustAll(boolean trustAll)` Set whether all server certificates should be trusted
    `MSSQLConnectOptions` | `setTrustOptions(TrustOptions options)` Set the trust options.
    `MSSQLConnectOptions` | `setTrustStoreOptions(JksOptions options)` Set the trust options in jks format, aka Java truststore
    `MSSQLConnectOptions` | `setUseAlpn(boolean useAlpn)` Set the ALPN usage.
    `MSSQLConnectOptions` | `setUser(String user)` Specify the user account to be used for the authentication.
    `JsonObject` | `toJson()` Convert to JSON
    `static MSSQLConnectOptions` | `wrap(SqlConnectOptions options)`

    - ### Methods inherited from class io.vertx.sqlclient.SqlConnectOptions

      `getCachePreparedStatements, getDatabase, getHost, getPassword, getPort, getPreparedStatementCacheMaxSize, getPreparedStatementCacheSqlFilter, getProperties, getSocketAddress, getTracingPolicy, getUser, isUsingDomainSocket, setCachePreparedStatements, setPreparedStatementCacheMaxSize, setPreparedStatementCacheSqlFilter, setPreparedStatementCacheSqlLimit`

    - ### Methods inherited from class io.vertx.core.net.NetClientOptions

      `addNonProxyHost, getApplicationLayerProtocols, getHostnameVerificationAlgorithm, getReconnectAttempts, getReconnectInterval, isRegisterWriteHandler, removeEnabledCipherSuite, setActivityLogDataFormat, setApplicationLayerProtocols, setReadIdleTimeout, setRegisterWriteHandler, setWriteIdleTimeout`

    - ### Methods inherited from class io.vertx.core.net.ClientOptionsBase

      `getConnectTimeout, getLocalAddress, getMetricsName, getNonProxyHosts, getProxyOptions, isTrustAll, setTcpUserTimeout`

    - ### Methods inherited from class io.vertx.core.net.TCPSSLOptions

      `getCrlPaths, getCrlValues, getEnabledCipherSuites, getEnabledSecureTransportProtocols, getIdleTimeout, getIdleTimeoutUnit, getJdkSslEngineOptions, getKeyCertOptions, getKeyStoreOptions, getOpenSslEngineOptions, getPemKeyCertOptions, getPemTrustOptions, getPfxKeyCertOptions, getPfxTrustOptions, getReadIdleTimeout, getSoLinger, getSslEngineOptions, getSslHandshakeTimeout, getSslHandshakeTimeoutUnit, getSslOptions, getTcpUserTimeout, getTrustOptions, getTrustStoreOptions, getWriteIdleTimeout, isSsl, isTcpCork, isTcpFastOpen, isTcpKeepAlive, isTcpNoDelay, isTcpQuickAck, isUseAlpn`

    - ### Methods inherited from class io.vertx.core.net.NetworkOptions

      `getActivityLogDataFormat, getLogActivity, getReceiveBufferSize, getSendBufferSize, getTrafficClass, isReuseAddress, isReusePort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_HOST

          public static final String DEFAULT_HOST

      See Also:
        Constant Field Values

    - #### DEFAULT_PORT

          public static final int DEFAULT_PORT

      See Also:
        Constant Field Values

    - #### DEFAULT_USER

          public static final String DEFAULT_USER

      See Also:
        Constant Field Values

    - #### DEFAULT_PASSWORD

          public static final String DEFAULT_PASSWORD

      See Also:
        Constant Field Values

    - #### DEFAULT_DATABASE

          public static final String DEFAULT_DATABASE

      See Also:
        Constant Field Values

    - #### DEFAULT_APP_NAME

          public static final String DEFAULT_APP_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_CLIENT_INTERFACE_NAME

          public static final String DEFAULT_CLIENT_INTERFACE_NAME

      See Also:
        Constant Field Values

    - #### DEFAULT_PROPERTIES

          public static final Map<String,String> DEFAULT_PROPERTIES

    - #### MIN_PACKET_SIZE

          public static final int MIN_PACKET_SIZE

      See Also:
        Constant Field Values

    - #### MAX_PACKET_SIZE

          public static final int MAX_PACKET_SIZE

      See Also:
        Constant Field Values

    - #### DEFAULT_PACKET_SIZE

          public static final int DEFAULT_PACKET_SIZE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MSSQLConnectOptions

          public MSSQLConnectOptions()

    - #### MSSQLConnectOptions

          public MSSQLConnectOptions(JsonObject json)

    - #### MSSQLConnectOptions

          public MSSQLConnectOptions(SqlConnectOptions other)

    - #### MSSQLConnectOptions

          public MSSQLConnectOptions(MSSQLConnectOptions other)

  - ### Method Detail

    - #### wrap

          public static MSSQLConnectOptions wrap(SqlConnectOptions options)

      Returns:
        the `options` as MSSQL specific connect options

    - #### fromUri

          public static MSSQLConnectOptions fromUri(String connectionUri)
                                             throws IllegalArgumentException

      Provide a `MSSQLConnectOptions` configured from a connection URI.
      Parameters:
        `connectionUri` - the connection URI to configure from
      Returns:
        a `MSSQLConnectOptions` parsed from the connection URI
      Throws:
        `IllegalArgumentException` - when the `connectionUri` is in an invalid format

    - #### setHost

          public MSSQLConnectOptions setHost(String host)

      Description copied from class: `SqlConnectOptions`
      Specify the host for connecting to the server.
      Overrides:
        `setHost` in class `SqlConnectOptions`
      Parameters:
        `host` - the host to specify
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPort

          public MSSQLConnectOptions setPort(int port)

      Description copied from class: `SqlConnectOptions`
      Specify the port for connecting to the server.
      Overrides:
        `setPort` in class `SqlConnectOptions`
      Parameters:
        `port` - the port to specify
      Returns:
        a reference to this, so the API can be used fluently

    - #### setUser

          public MSSQLConnectOptions setUser(String user)

      Description copied from class: `SqlConnectOptions`
      Specify the user account to be used for the authentication.
      Overrides:
        `setUser` in class `SqlConnectOptions`
      Parameters:
        `user` - the user to specify
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPassword

          public MSSQLConnectOptions setPassword(String password)

      Description copied from class: `SqlConnectOptions`
      Specify the user password to be used for the authentication.
      Overrides:
        `setPassword` in class `SqlConnectOptions`
      Parameters:
        `password` - the password to specify
      Returns:
        a reference to this, so the API can be used fluently

    - #### setDatabase

          public MSSQLConnectOptions setDatabase(String database)

      Description copied from class: `SqlConnectOptions`
      Specify the default database for the connection.
      Overrides:
        `setDatabase` in class `SqlConnectOptions`
      Parameters:
        `database` - the database name to specify
      Returns:
        a reference to this, so the API can be used fluently

    - #### setProperties

          public MSSQLConnectOptions setProperties(Map<String,String> properties)

      Description copied from class: `SqlConnectOptions`
      Set properties for this client, which will be sent to server at the connection start.
      Overrides:
        `setProperties` in class `SqlConnectOptions`
      Parameters:
        `properties` - the value of properties to specify
      Returns:
        a reference to this, so the API can be used fluently

    - #### addProperty

          public MSSQLConnectOptions addProperty(String key,
                                                 String value)

      Description copied from class: `SqlConnectOptions`
      Add a property for this client, which will be sent to server at the connection start.
      Overrides:
        `addProperty` in class `SqlConnectOptions`
      Parameters:
        `key` - the value of property key
        `value` - the value of property value
      Returns:
        a reference to this, so the API can be used fluently

    - #### getPacketSize

          public int getPacketSize()

      Get the desired size (in bytes) for TDS packets.
      Returns:
        the desired packet size

    - #### setPacketSize

          public MSSQLConnectOptions setPacketSize(int packetSize)

      Set the desired size (in bytes) for TDS packets.

      The client will use the value as a parameter in the LOGIN7 packet. The server may or may not accept it.

      Parameters:
        `packetSize` - the desired packet size (in bytes)
      Returns:
        a reference to this, so the API can be used fluently
      Throws:
        `IllegalArgumentException` - if `packetSize` is smaller than `MIN_PACKET_SIZE` or bigger than `MAX_PACKET_SIZE`

    - #### setSendBufferSize

          public MSSQLConnectOptions setSendBufferSize(int sendBufferSize)

      Description copied from class: `NetworkOptions`
      Set the TCP send buffer size
      Overrides:
        `setSendBufferSize` in class `NetClientOptions`
      Parameters:
        `sendBufferSize` - the buffers size, in bytes
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReceiveBufferSize

          public MSSQLConnectOptions setReceiveBufferSize(int receiveBufferSize)

      Description copied from class: `NetworkOptions`
      Set the TCP receive buffer size
      Overrides:
        `setReceiveBufferSize` in class `NetClientOptions`
      Parameters:
        `receiveBufferSize` - the buffers size, in bytes
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReuseAddress

          public MSSQLConnectOptions setReuseAddress(boolean reuseAddress)

      Description copied from class: `NetworkOptions`
      Set the value of reuse address
      Overrides:
        `setReuseAddress` in class `NetClientOptions`
      Parameters:
        `reuseAddress` - the value of reuse address
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReusePort

          public MSSQLConnectOptions setReusePort(boolean reusePort)

      Description copied from class: `NetworkOptions`
      Set the value of reuse port.

      This is only supported by native transports.
      Overrides:
        `setReusePort` in class `NetClientOptions`
      Parameters:
        `reusePort` - the value of reuse port
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTrafficClass

          public MSSQLConnectOptions setTrafficClass(int trafficClass)

      Description copied from class: `NetworkOptions`
      Set the value of traffic class
      Overrides:
        `setTrafficClass` in class `NetClientOptions`
      Parameters:
        `trafficClass` - the value of traffic class
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTcpNoDelay

          public MSSQLConnectOptions setTcpNoDelay(boolean tcpNoDelay)

      Description copied from class: `TCPSSLOptions`
      Set whether TCP no delay is enabled
      Overrides:
        `setTcpNoDelay` in class `NetClientOptions`
      Parameters:
        `tcpNoDelay` - true if TCP no delay is enabled (Nagle disabled)
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTcpKeepAlive

          public MSSQLConnectOptions setTcpKeepAlive(boolean tcpKeepAlive)

      Description copied from class: `TCPSSLOptions`
      Set whether TCP keep alive is enabled
      Overrides:
        `setTcpKeepAlive` in class `NetClientOptions`
      Parameters:
        `tcpKeepAlive` - true if TCP keep alive is enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### setSoLinger

          public MSSQLConnectOptions setSoLinger(int soLinger)

      Description copied from class: `TCPSSLOptions`
      Set whether SO_linger keep alive is enabled
      Overrides:
        `setSoLinger` in class `NetClientOptions`
      Parameters:
        `soLinger` - true if SO_linger is enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### setIdleTimeout

          public MSSQLConnectOptions setIdleTimeout(int idleTimeout)

      Description copied from class: `TCPSSLOptions`
      Set the idle timeout, default time unit is seconds. Zero means don't timeout. This determines if a connection will timeout and be closed if no data is received nor sent within the timeout. If you want change default time unit, use `TCPSSLOptions.setIdleTimeoutUnit(TimeUnit)`
      Overrides:
        `setIdleTimeout` in class `NetClientOptions`
      Parameters:
        `idleTimeout` - the timeout
      Returns:
        a reference to this, so the API can be used fluently

    - #### setIdleTimeoutUnit

          public MSSQLConnectOptions setIdleTimeoutUnit(TimeUnit idleTimeoutUnit)

      Description copied from class: `TCPSSLOptions`
      Set the idle timeout unit. If not specified, default is seconds.
      Overrides:
        `setIdleTimeoutUnit` in class `NetClientOptions`
      Parameters:
        `idleTimeoutUnit` - specify time unit.
      Returns:
        a reference to this, so the API can be used fluently

    - #### setKeyCertOptions

          public MSSQLConnectOptions setKeyCertOptions(KeyCertOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the key/cert options.
      Overrides:
        `setKeyCertOptions` in class `NetClientOptions`
      Parameters:
        `options` - the key store options
      Returns:
        a reference to this, so the API can be used fluently

    - #### setKeyStoreOptions

          public MSSQLConnectOptions setKeyStoreOptions(JksOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the key/cert options in jks format, aka Java keystore.
      Overrides:
        `setKeyStoreOptions` in class `NetClientOptions`
      Parameters:
        `options` - the key store in jks format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPfxKeyCertOptions

          public MSSQLConnectOptions setPfxKeyCertOptions(PfxOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the key/cert options in pfx format.
      Overrides:
        `setPfxKeyCertOptions` in class `NetClientOptions`
      Parameters:
        `options` - the key cert options in pfx format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPemKeyCertOptions

          public MSSQLConnectOptions setPemKeyCertOptions(PemKeyCertOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the key/cert store options in pem format.
      Overrides:
        `setPemKeyCertOptions` in class `NetClientOptions`
      Parameters:
        `options` - the options in pem format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTrustOptions

          public MSSQLConnectOptions setTrustOptions(TrustOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the trust options.
      Overrides:
        `setTrustOptions` in class `NetClientOptions`
      Parameters:
        `options` - the trust options
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTrustStoreOptions

          public MSSQLConnectOptions setTrustStoreOptions(JksOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the trust options in jks format, aka Java truststore
      Overrides:
        `setTrustStoreOptions` in class `NetClientOptions`
      Parameters:
        `options` - the trust options in jks format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPemTrustOptions

          public MSSQLConnectOptions setPemTrustOptions(PemTrustOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the trust options in pem format
      Overrides:
        `setPemTrustOptions` in class `NetClientOptions`
      Parameters:
        `options` - the trust options in pem format
      Returns:
        a reference to this, so the API can be used fluently

    - #### setPfxTrustOptions

          public MSSQLConnectOptions setPfxTrustOptions(PfxOptions options)

      Description copied from class: `TCPSSLOptions`
      Set the trust options in pfx format
      Overrides:
        `setPfxTrustOptions` in class `NetClientOptions`
      Parameters:
        `options` - the trust options in pfx format
      Returns:
        a reference to this, so the API can be used fluently

    - #### addEnabledCipherSuite

          public MSSQLConnectOptions addEnabledCipherSuite(String suite)

      Description copied from class: `TCPSSLOptions`
      Add an enabled cipher suite, appended to the ordered suites.
      Overrides:
        `addEnabledCipherSuite` in class `NetClientOptions`
      Parameters:
        `suite` - the suite
      Returns:
        a reference to this, so the API can be used fluently
      See Also:
        `TCPSSLOptions.getEnabledCipherSuites()`

    - #### addEnabledSecureTransportProtocol

          public MSSQLConnectOptions addEnabledSecureTransportProtocol(String protocol)

      Description copied from class: `TCPSSLOptions`
      Add an enabled SSL/TLS protocols, appended to the ordered protocols.
      Overrides:
        `addEnabledSecureTransportProtocol` in class `NetClientOptions`
      Parameters:
        `protocol` - the SSL/TLS protocol to enable
      Returns:
        a reference to this, so the API can be used fluently

    - #### removeEnabledSecureTransportProtocol

          public MSSQLConnectOptions removeEnabledSecureTransportProtocol(String protocol)

      Description copied from class: `TCPSSLOptions`
      Removes an enabled SSL/TLS protocol from the ordered protocols.
      Overrides:
        `removeEnabledSecureTransportProtocol` in class `NetClientOptions`
      Parameters:
        `protocol` - the SSL/TLS protocol to disable
      Returns:
        a reference to this, so the API can be used fluently

    - #### setUseAlpn

          public MSSQLConnectOptions setUseAlpn(boolean useAlpn)

      Description copied from class: `TCPSSLOptions`
      Set the ALPN usage.
      Overrides:
        `setUseAlpn` in class `NetClientOptions`
      Parameters:
        `useAlpn` - true when Application-Layer Protocol Negotiation should be used

    - #### setSslEngineOptions

          public MSSQLConnectOptions setSslEngineOptions(SSLEngineOptions sslEngineOptions)

      Description copied from class: `TCPSSLOptions`
      Set to use SSL engine implementation to use.
      Overrides:
        `setSslEngineOptions` in class `NetClientOptions`
      Parameters:
        `sslEngineOptions` - the ssl engine to use
      Returns:
        a reference to this, so the API can be used fluently

    - #### setJdkSslEngineOptions

          public MSSQLConnectOptions setJdkSslEngineOptions(JdkSSLEngineOptions sslEngineOptions)

      Overrides:
        `setJdkSslEngineOptions` in class `NetClientOptions`

    - #### setTcpFastOpen

          public MSSQLConnectOptions setTcpFastOpen(boolean tcpFastOpen)

      Description copied from class: `TCPSSLOptions`
      Enable the `TCP_FASTOPEN` option - only with linux native transport.
      Overrides:
        `setTcpFastOpen` in class `NetClientOptions`
      Parameters:
        `tcpFastOpen` - the fast open value

    - #### setTcpCork

          public MSSQLConnectOptions setTcpCork(boolean tcpCork)

      Description copied from class: `TCPSSLOptions`
      Enable the `TCP_CORK` option - only with linux native transport.
      Overrides:
        `setTcpCork` in class `NetClientOptions`
      Parameters:
        `tcpCork` - the cork value

    - #### setTcpQuickAck

          public MSSQLConnectOptions setTcpQuickAck(boolean tcpQuickAck)

      Description copied from class: `TCPSSLOptions`
      Enable the `TCP_QUICKACK` option - only with linux native transport.
      Overrides:
        `setTcpQuickAck` in class `NetClientOptions`
      Parameters:
        `tcpQuickAck` - the quick ack value

    - #### setOpenSslEngineOptions

          public MSSQLConnectOptions setOpenSslEngineOptions(OpenSSLEngineOptions sslEngineOptions)

      Overrides:
        `setOpenSslEngineOptions` in class `NetClientOptions`

    - #### addCrlPath

          public MSSQLConnectOptions addCrlPath(String crlPath)
                                         throws NullPointerException

      Description copied from class: `TCPSSLOptions`
      Add a CRL path
      Overrides:
        `addCrlPath` in class `NetClientOptions`
      Parameters:
        `crlPath` - the path
      Returns:
        a reference to this, so the API can be used fluently
      Throws:
        `NullPointerException`

    - #### addCrlValue

          public MSSQLConnectOptions addCrlValue(Buffer crlValue)
                                          throws NullPointerException

      Description copied from class: `TCPSSLOptions`
      Add a CRL value
      Overrides:
        `addCrlValue` in class `NetClientOptions`
      Parameters:
        `crlValue` - the value
      Returns:
        a reference to this, so the API can be used fluently
      Throws:
        `NullPointerException`

    - #### setTrustAll

          public MSSQLConnectOptions setTrustAll(boolean trustAll)

      Description copied from class: `ClientOptionsBase`
      Set whether all server certificates should be trusted
      Overrides:
        `setTrustAll` in class `NetClientOptions`
      Parameters:
        `trustAll` - true if all should be trusted
      Returns:
        a reference to this, so the API can be used fluently

    - #### setConnectTimeout

          public MSSQLConnectOptions setConnectTimeout(int connectTimeout)

      Description copied from class: `ClientOptionsBase`
      Set the connect timeout
      Overrides:
        `setConnectTimeout` in class `NetClientOptions`
      Parameters:
        `connectTimeout` - connect timeout, in ms
      Returns:
        a reference to this, so the API can be used fluently

    - #### setMetricsName

          public MSSQLConnectOptions setMetricsName(String metricsName)

      Description copied from class: `ClientOptionsBase`
      Set the metrics name identifying the reported metrics, useful for grouping metrics with the same name.
      Overrides:
        `setMetricsName` in class `NetClientOptions`
      Parameters:
        `metricsName` - the metrics name
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReconnectAttempts

          public MSSQLConnectOptions setReconnectAttempts(int attempts)

      Description copied from class: `NetClientOptions`
      Set the value of reconnect attempts
      Overrides:
        `setReconnectAttempts` in class `NetClientOptions`
      Parameters:
        `attempts` - the maximum number of reconnect attempts
      Returns:
        a reference to this, so the API can be used fluently

    - #### setReconnectInterval

          public MSSQLConnectOptions setReconnectInterval(long interval)

      Description copied from class: `NetClientOptions`
      Set the reconnect interval
      Overrides:
        `setReconnectInterval` in class `NetClientOptions`
      Parameters:
        `interval` - the reconnect interval in ms
      Returns:
        a reference to this, so the API can be used fluently

    - #### setHostnameVerificationAlgorithm

          public MSSQLConnectOptions setHostnameVerificationAlgorithm(String hostnameVerificationAlgorithm)

      Description copied from class: `NetClientOptions`
      Set the hostname verification algorithm interval To disable hostname verification, set hostnameVerificationAlgorithm to an empty String
      Overrides:
        `setHostnameVerificationAlgorithm` in class `NetClientOptions`
      Parameters:
        `hostnameVerificationAlgorithm` - should be HTTPS, LDAPS or an empty String
      Returns:
        a reference to this, so the API can be used fluently

    - #### setLogActivity

          public MSSQLConnectOptions setLogActivity(boolean logEnabled)

      Description copied from class: `NetworkOptions`
      Set to true to enabled network activity logging: Netty's pipeline is configured for logging on Netty's logger.
      Overrides:
        `setLogActivity` in class `NetClientOptions`
      Parameters:
        `logEnabled` - true for logging the network activity
      Returns:
        a reference to this, so the API can be used fluently

    - #### setProxyOptions

          public MSSQLConnectOptions setProxyOptions(ProxyOptions proxyOptions)

      Description copied from class: `ClientOptionsBase`
      Set proxy options for connections via CONNECT proxy (e.g. Squid) or a SOCKS proxy.
      Overrides:
        `setProxyOptions` in class `NetClientOptions`
      Parameters:
        `proxyOptions` - proxy options object
      Returns:
        a reference to this, so the API can be used fluently

    - #### setLocalAddress

          public MSSQLConnectOptions setLocalAddress(String localAddress)

      Description copied from class: `ClientOptionsBase`
      Set the local interface to bind for network connections. When the local address is null, it will pick any local address, the default local address is null.
      Overrides:
        `setLocalAddress` in class `NetClientOptions`
      Parameters:
        `localAddress` - the local address
      Returns:
        a reference to this, so the API can be used fluently

    - #### setEnabledSecureTransportProtocols

          public MSSQLConnectOptions setEnabledSecureTransportProtocols(Set<String> enabledSecureTransportProtocols)

      Description copied from class: `TCPSSLOptions`
      Sets the list of enabled SSL/TLS protocols.
      Overrides:
        `setEnabledSecureTransportProtocols` in class `NetClientOptions`
      Parameters:
        `enabledSecureTransportProtocols` - the SSL/TLS protocols to enable
      Returns:
        a reference to this, so the API can be used fluently

    - #### setSslHandshakeTimeout

          public MSSQLConnectOptions setSslHandshakeTimeout(long sslHandshakeTimeout)

      Description copied from class: `TCPSSLOptions`
      Set the SSL handshake timeout, default time unit is seconds.
      Overrides:
        `setSslHandshakeTimeout` in class `NetClientOptions`
      Parameters:
        `sslHandshakeTimeout` - the SSL handshake timeout to set, in milliseconds
      Returns:
        a reference to this, so the API can be used fluently

    - #### setSslHandshakeTimeoutUnit

          public MSSQLConnectOptions setSslHandshakeTimeoutUnit(TimeUnit sslHandshakeTimeoutUnit)

      Description copied from class: `TCPSSLOptions`
      Set the SSL handshake timeout unit. If not specified, default is seconds.
      Overrides:
        `setSslHandshakeTimeoutUnit` in class `NetClientOptions`
      Parameters:
        `sslHandshakeTimeoutUnit` - specify time unit.
      Returns:
        a reference to this, so the API can be used fluently

    - #### setTracingPolicy

          public MSSQLConnectOptions setTracingPolicy(TracingPolicy tracingPolicy)

      Description copied from class: `SqlConnectOptions`
      Set the tracing policy for the client behavior when Vert.x has tracing enabled.
      Overrides:
        `setTracingPolicy` in class `SqlConnectOptions`
      Parameters:
        `tracingPolicy` - the tracing policy
      Returns:
        a reference to this, so the API can be used fluently

    - #### setSsl

          public MSSQLConnectOptions setSsl(boolean ssl)

      Description copied from class: `TCPSSLOptions`
      Set whether SSL/TLS is enabled
      Overrides:
        `setSsl` in class `NetClientOptions`
      Parameters:
        `ssl` - true if enabled
      Returns:
        a reference to this, so the API can be used fluently

    - #### setNonProxyHosts

          public MSSQLConnectOptions setNonProxyHosts(List<String> nonProxyHosts)

      Description copied from class: `ClientOptionsBase`
      Set a list of remote hosts that are not proxied when the client is configured to use a proxy. This list serves the same purpose than the JVM `nonProxyHosts` configuration.

      Entries can use the * wildcard character for pattern matching, e.g *.example.com matches www.example.com.

      Overrides:
        `setNonProxyHosts` in class `NetClientOptions`
      Parameters:
        `nonProxyHosts` - the list of non proxies hosts
      Returns:
        a reference to this, so the API can be used fluently

    - #### init

          protected void init()

      Initialize with the default options.
      Overrides:
        `init` in class `SqlConnectOptions`

    - #### toJson

          public JsonObject toJson()

      Description copied from class: `ClientOptionsBase`
      Convert to JSON
      Overrides:
        `toJson` in class `SqlConnectOptions`
      Returns:
        the JSON

    - #### merge

          public MSSQLConnectOptions merge(JsonObject other)

      Description copied from class: `SqlConnectOptions`
      Returns new options created after this object and merged with the `other` json config.
      Overrides:
        `merge` in class `SqlConnectOptions`
      Parameters:
        `other` - the other JSON object
      Returns:
        new options created after this object and merged with the `other` json config

Copyright © 2024 Eclipse. All rights reserved.